Welcome to mirror list, hosted at ThFree Co, Russian Federation.

dev.gajim.org/gajim/gajim.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhilipp Hörist <forenjunkie@chello.at>2017-05-10 18:16:14 +0300
committerPhilipp Hörist <forenjunkie@chello.at>2017-05-16 17:39:52 +0300
commit6c9e68548bdd62abdf182ed2485bb412656cadd3 (patch)
tree7f38951db44b7c807cef9d0886f4c553261df7e5 /win/build.sh
parent94be050aa6c35242f8daeb5caae40ff5677bd281 (diff)
Switch to using MSYS2 for Windows build
Diffstat (limited to 'win/build.sh')
-rw-r--r--win/build.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/win/build.sh b/win/build.sh
new file mode 100644
index 000000000..61e3e4420
--- /dev/null
+++ b/win/build.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+# Copyright 2016 Christoph Reiter
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+DIR="$( cd "$( dirname "$0" )" && pwd )"
+source "$DIR"/_base.sh
+
+function main {
+ local GIT_TAG=${1:-"master"}
+
+ [[ -d "${BUILD_ROOT}" ]] && (echo "${BUILD_ROOT} already exists"; exit 1)
+
+ # started from the wrong env -> switch
+ if [ $(echo "$MSYSTEM" | tr '[A-Z]' '[a-z]') != "$MINGW" ]; then
+ "/${MINGW}.exe" "$0"
+ exit $?
+ fi
+
+ install_pre_deps
+ create_root
+ install_deps
+ install_gajim "$GIT_TAG"
+ cleanup_install
+ build_installer
+}
+
+main "$@";